#Navigate to the directory 'data' that contains the original trajectories (in subdirectory 'input') and will hold the simplified trajectories (in subdirectory 'output'):

cd data/

# Compile the code with the Java compiler:

javac ../code/algorithms/OPERB/*.java

# Test the executable against an input CSV file holding the AIS positions of a vessel trajectory.
# Parameter signifies the error tolerance (in distance units). In this example, it is set to 0.0002 decimal degrees, since all positions are lon/lat coordinates in WGS84.
# The resulting simplified trajectory will be stored into file 'operb228037700.csv'.

java -cp ../code/algorithms/OPERB/ OPERB input/207138000.csv output/operb207138000.csv 0.0002

# Update the simplified trajectory with timestamps as retrieved from the input data file
# This is necessary for each simplified trajectory issued by the OPERB method, since the implemented algorithm does not include timestamps in its output.

python ./../code/utilities/AssignTimestamps.py input/207138000.csv output/operb207138000.csv

# Use a Python script to estimate RMSE error between the original and the simplified trajectory (both available as .csv files)

python ./../code/utilities/EstimateRMSE.py input/207138000.csv output/operb207138000.csv
